# GetBlockByLimitNext

Returns the list of Block Objects included in the 'Block Height' range specified. (Confirmed state).

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `startNum` - int32 - Starting block height, including this block
* `endNum` - int32 - Ending block height, excluding this block

## **Returns**

| Field                                    | Type           | Description                                                                                                                                                                             |
| ---------------------------------------- | -------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| blockID                                  | string         | block hash                                                                                                                                                                              |
| block\_header.raw\_data.timestamp        | int64          | block timestamp                                                                                                                                                                         |
| block\_header.raw\_data.txTrieRoot       | string         | the root of transaction merkle tree                                                                                                                                                     |
| block\_header.raw\_data.parentHash       | string         | parent block hash                                                                                                                                                                       |
| block\_header.raw\_data.number           | int64          | block number                                                                                                                                                                            |
| block\_header.raw\_data.witness\_id      | int64          | super representative id                                                                                                                                                                 |
| block\_header.raw\_data.witness\_address | string         | super representative address                                                                                                                                                            |
| block\_header.raw\_data.version          | int32          | version                                                                                                                                                                                 |
| block\_header.raw\_data.accountStateRoot | string         | the root of account state tree                                                                                                                                                          |
| block\_header.witness\_signature         | string         | the signature of SR                                                                                                                                                                     |
| transactions                             | Transaction\[] | Transaction information in the block, please refer to [gettransactionbyid](/v1/tron/tron-solidity-api/transactions/gettransactionbyid.md) for the content contained in each transaction |

```json
// Result
{
	"block": [
		{
			"blockID": "000000000487077bc4492aa81f348c9450c9bcd60f1ac24a77a8d197504a35b9",
			"block_header": {
				"raw_data": {
					"number": 75958139,
					"txTrieRoot": "c46d44b39c736ee2a81916cd4f8d3222dfb1a49cdfa57809e9b93996b0fff2dd",
					"witness_address": "417f5e5aca5332ce5e18414d7f85bb62097cefa453",
					"parentHash": "000000000487077ace17ffaa6bcbc07a7b9451d8fabbc367263811d68b91cc24",
					"version": 32,
					"timestamp": 1758534498000
				},
				"witness_signature": "373dd3ac5c23e80469cdd60ceba2f065ae7fc5fd525045361bf6099a9977d8c83d12e58bdc9c516e2bcdc8fad3cdd6d62b85782c6763f9fe73cb4c6960f79ef101"
			},
			"transactions": [
				{
					"ret": [
						{
							"contractRet": "SUCCESS"
						}
					],
					"signature": [
						"fa584ed5707efa1ae70ffb3cc02e258d1a0542f5a90789b7da71e0ba18af96e00ef459fff60e4700317f2620fbe23be06430ea515f845d7b079e04710c55516401"
					],
					"txID": "2e50bac478ac495271ed36945a87bc9cc50a4867d9bf0b0ea0f5e42d06d1d246",
					"raw_data": {
						"contract": [
							{
								"parameter": {
									"value": {
										"balance": 6420000000,
										"resource": "ENERGY",
										"receiver_address": "41df279174741558262645bdae3bca499c2ebde0f2",
										"owner_address": "41f1e4436fe066b6e57098ffc66b16bd91a23fcd7b"
									},
									"type_url": "type.googleapis.com/protocol.UnDelegateResourceContract"
								},
								"type": "UnDelegateResourceContract",
								"Permission_id": 3
							}
						],
						"ref_block_bytes": "0767",
						"ref_block_hash": "9c3ebb41edb8cf17",
						"expiration": 1758534552000,
						"timestamp": 1758534495437
					},
					"raw_data_hex": "0a02076722089c3ebb41edb8cf1740c093cf8697335a77083a12710a37747970652e676f6f676c65617069732e636f6d2f70726f746f636f6c2e556e44656c65676174655265736f75726365436f6e747261637412360a1541f1e4436fe066b6e57098ffc66b16bd91a23fcd7b10011880daa5f517221541df279174741558262645bdae3bca499c2ebde0f2280370cdd9cb869733"
				},
				...
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/walletsolidity/getblockbylimitnext \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"startNum": 75958139, "endNum": 75958142}'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-solidity-api/blocks/getblockbylimitnext.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
